ReverseComparator (Commons IO 2.5)
Date: 2016-12-01

org.apache.commons.io.comparator

## Class ReverseComparator

- java.lang.Object
- - org.apache.commons.io.comparator.AbstractFileComparator
  - - org.apache.commons.io.comparator.ReverseComparator

- All Implemented Interfaces:
    java.io.Serializable, java.util.Comparator<java.io.File>

       class ReverseComparator
      extends AbstractFileComparator
      implements java.io.Serializable

  Reverses the result of comparing two objects using the delegate `Comparator`.
  Since:
    1.4
  Version:
    $Id: ReverseComparator.java 1642757 2014-12-01 21:09:30Z sebb $

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private java.util.Comparator<java.io.File>` | `delegate`
    `private static long` | `serialVersionUID`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ReverseComparator(java.util.Comparator<java.io.File> delegate)` Construct an instance with the sepecified delegate `Comparator`.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `compare(java.io.File file1, java.io.File file2)` Compare using the delegate Comparator, but reversing the result.
    `java.lang.String` | `toString()` String representation of this file comparator.

    - ### Methods inherited from class org.apache.commons.io.comparator.AbstractFileComparator

      `sort, sort`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.Comparator

      `equals`

- - ### Field Detail

    - #### serialVersionUID

          private static final long serialVersionUID

      See Also:
        Constant Field Values

    - #### delegate

          private final java.util.Comparator<java.io.File> delegate

  - ### Constructor Detail

    - #### ReverseComparator

          public ReverseComparator(java.util.Comparator<java.io.File> delegate)

      Construct an instance with the sepecified delegate `Comparator`.
      Parameters:
        `delegate` - The comparator to delegate to

  - ### Method Detail

    - #### compare

          public int compare(java.io.File file1,
                    java.io.File file2)

      Compare using the delegate Comparator, but reversing the result.
      Specified by:
        `compare` in interface `java.util.Comparator<java.io.File>`
      Parameters:
        `file1` - The first file to compare
        `file2` - The second file to compare
      Returns:
        the result from the delegate `Comparator.compare(Object, Object)` reversing the value (i.e. positive becomes negative and vice versa)

    - #### toString

          public java.lang.String toString()

      String representation of this file comparator.
      Overrides:
        `toString` in class `AbstractFileComparator`
      Returns:
        String representation of this file comparator

Copyright (c) 2002-2016 Apache Software Foundation